/// <reference types="react" />
export declare type Action = {
    label: string;
    onClick: () => void;
};
export declare enum UnavailableWalletVisibility {
    SHOW_UNAVAILABLE = 0,
    HIDE_UNAVAILABLE = 1,
    SHOW_UNAVAILABLE_ON_MOBILE = 2
}
export declare type ConnectWalletButtonProps = {
    label?: string;
    disabled?: boolean;
    message?: string;
    supportedWallets?: Array<string>;
    showUnavailableWallets: UnavailableWalletVisibility;
    primaryColor?: string;
    borderRadius?: number;
    customCSS?: string;
    customActions?: Array<Action>;
    beforeComponent?: JSX.Element;
    afterComponent?: JSX.Element;
    hideActionMenu?: boolean;
    onConnect?: () => void;
    onDisconnect?: () => void;
    onSignMessage?: (signedMessage: string) => void;
    onStakeAddressClick?: (stakeAddress: string) => void;
    onConnectError?: (walletName: string, error: SignErrorCode) => void;
};
export declare type ConnectWalletListProps = {
    supportedWallets?: Array<string>;
    primaryColor?: string;
    borderRadius?: number;
    gap?: number;
    showUnavailableWallets: UnavailableWalletVisibility;
    customCSS?: string;
    onConnect?: () => void;
    onConnectError?: (walletName: string, error: SignErrorCode) => void;
};
export declare enum SignErrorCode {
    WalletExtensionNotFound = 0,
    EnablementFailed = 1
}
export interface CustomStyle {
    customCSS?: string;
}
export interface ButtonStyle {
    primaryColor: string;
    borderRadius?: number;
    customCSS?: string;
}
export interface DesktopMenuItemStyle {
    borderRadius?: number;
}
export interface MenuItemStyle {
    primaryColor: string;
    primaryColorLight: string;
    borderRadius?: number;
    gap?: number;
}
export declare type Wallet = {
    name: string;
    isEnabled: boolean;
    icon: string;
    apiVersion: string;
};
